
<div *ngIf="recipe.name === undefined; else elseBlock">
  <div class="ui red ribbon label">{{recipe.meal}}</div>
  <div class="container">
    <img src="../../assets/default-food-icon.jpg">
  </div>
  <div class="content" >
    <h4 (click)="onRecipeClick(recipe)">Could not find recipe for your search preferences</h4>
    </div>
</div>
<ng-template #elseBlock>
  <div class="ui yellow ribbon label">{{recipe.meal}}</div>
  <div class="container"> 
    <img src="{{recipe.image_url}}" onerror="this.onerror=null; this.src='../../assets/default-food-icon.jpg';" (click)="onRecipeClick(recipe)">
  </div>
  <table>
    <tr>
      <th>Kcal:</th>
      <td>{{recipe.nutrients.kcal}}</td>
    </tr>
    <tr>
      <th>Protein:</th>
      <td style="color: rgb(137, 34, 185)">{{recipe.nutrients.protein}}g</td>
    </tr>
    <tr>
      <th>Carbs:</th>
      <td style="color: rgb(201, 143, 36)">{{recipe.nutrients.carbs}}g</td>
    </tr>
    <tr>
      <th>Fat:</th>
      <td style="color: rgb(55, 109, 180)">{{recipe.nutrients.fats}}g</td>
    </tr>
  </table>
  
  <div class="content">
    <h4 (click)="onRecipeClick(recipe)">{{recipe.name}}</h4>
    <div class="ui transparent label" *ngFor="let category of recipe.category;">{{category}}</div>
  </div>
  
  <app-view-recipe id="view-recipe" *ngIf="show_recipe" [recipe]="clickedRecipe" (closeRecipeEvent)= "closeRecipe()"></app-view-recipe>
    
</ng-template>
